<?php

function number_info($title){

    $res = [];

    $items = explode(' ', $title);
    $number = substr($items[2], 1, strlen($items[2]) - 2);
    //echo $number;

    $name = 'vizh_'.$number.'_'.ru2enmonths($items[3]).'_'.$items[4];

    $findpdf = db_get("SELECT * FROM `wp_posts` WHERE `post_name` = '$name' ORDER BY `post_modified` DESC LIMIT 1");
   
    if (isset($findpdf ['guid'])){
        $res['guid'] = $findpdf['guid'];
        $res['year'] = $items[4];
        $res['number'] = $number;
    }    

    return $res;    

}


function ru2enmonths($str){
    
    $ruMonths = ['январь', 'февраль', 'март', 'апрель', 'май', 'июнь', 'июль', 'август', 'сентябрь', 'октябрь', 'ноябрь', 'декабрь'];
    $enMonths = ['january', 'february', 'march', 'april', 'may', 'june', 'july', 'august', 'september', 'october', 'november', 'december'];

    $enDate = str_ireplace($ruMonths, $enMonths, $str);

    return $enDate;

}

